#ifndef __GST_GEOM_ImportShapefileLineString_hpp__
#define __GST_GEOM_ImportShapefileLineString_hpp__

#include "buildspec.h"

#include <string>

namespace GST
{
namespace Geometry
{
struct GST_API_EXPORT SfsLinestringResult
{
	std::string geometry;
	// empty, if none was provided
	std::string srs;
};

// returns a single 2d (z=0) linestring as SFS multilinestring from
//  a shapefile (arc or polygon)
GST_API_EXPORT SfsLinestringResult
getSfsLinestringFromShapefile(const std::string &shapeFilePath);

} // Geometry
} // GST

#endif // __GST_GEOM_ImportShapefileLineString_hpp__
